# Class CIM_AssociatedLabelReader
extends CIM_Dependency

A LogicalDevice may use or require one or more LabelReaders, to scan barcodes or otherwise identify entities. This relationship is described by the AssociatedLabelReader dependency.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_Dependency
|
+--CIM_AssociatedLabelReader

## Direct Known Subclasses

CIM_AccessLabelReader
CIM_PickerLabelReader

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Association | boolean | true
Description | string | A LogicalDevice may use or require one or more LabelReaders, to scan barcodes or otherwise identify entities. This relationship is described by the AssociatedLabelReader dependency.
UMLPackagePath | string | CIM::Device::StorageLib
Version | string | 2.6.0

## Class Properties

### Association References

Name | Class Origin | Reference Class
--- | --- | ---
Antecedent | CIM_AssociatedLabelReader | CIM_LabelReader
Dependent | CIM_AssociatedLabelReader | CIM_LogicalDevice

## Class Methods